package gui;
import javax.swing.*;
import java.awt.event.*;


@SuppressWarnings("serial")
class ElevatorPanel extends JPanel {
	private JButton emergencyStop = new JButton("Emergency stop.");
	private JButton[] buttons;

	public ElevatorPanel(int nbFloors) {
		this.setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));
		this.add(new JLabel("Elevator panel."));

		buttons = new JButton[nbFloors];
		for (int i = nbFloors-1; i >= 0; i--) {
			buttons[i] = new JButton("" + i);
			this.add(buttons[i]);
		}
		add(emergencyStop);
	}

	public void addEmergencyStopListener(ActionListener l) {
		emergencyStop.addActionListener(l);
	}
}
